Package uk.ac.starlink.vo

# Class HasContentIcon

java.lang.Object
uk.ac.starlink.vo.HasContentIcon

All Implemented Interfaces:
  `Icon`

public class HasContentIcon extends Object implements Icon
Little icon that indicates boolean state.

Since:
  16 Feb 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`static Icon`
`getIcon(boolean hasContent)`
Returns an instance of this icon.
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`

### getIcon

public static Icon getIcon(boolean hasContent)
Returns an instance of this icon.

Parameters:
  `hasContent` - state flag
Returns:
  icon indicating one or other state